List Service Instance Backups
List backups for a service instance
Lists backups for a service instance. The service offering must support OSMAPI backup feature.
Request
URI
GET
https://api.example.local/v3/service_instances/{service_instance_guid}/backups
COPY
Path Parameters
string
service_instance_guid
Required
The unique identifier for the service instance
Query Parameters
integer
limit
Optional
Maximum number of backups to return
Responses
200
OK
Returns
ServiceInstanceBackupList
of type(s)
application/json
{
"backups": [
{
"id": "string",
"created_at": 0
}
]
}
array of
object
backups
Optional
Array of backup resources
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/v3/service_instances/{service_instance_guid}/backups
On This Page
Service Instances Operations
GET
List Service Instances
POST
Create Service Instance
GET
Get Service Instance
PATCH
Update Service Instance
DELETE
Delete Service Instance
GET
List Service Instance Backups
POST
Create Service Instance Backup
POST
Restore Service Instance From Backup
GET
Get Service Instance Credentials
GET
Get Service Instance Parameters
GET
Get Service Instance Permissions
GET
List Service Instance Shared Spaces
POST
Share Service Instance
GET
Get Service Instance Usage Summary In Shared Spaces
DELETE
Unshare Service Instance